Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ICurvesSchema::Sample Class Reference

## Public Types

typedef Sample | this_type

## Public Member Functions

Abc::P3fArraySamplePtr | getPositions () const
std::size_t | getNumCurves () const
Abc::Int32ArraySamplePtr | getCurvesNumVertices () const
CurveType | getType () const
CurvePeriodicity | getWrap () const
BasisType | getBasis () const
Abc::UcharArraySamplePtr | getOrders () const
Abc::FloatArraySamplePtr | getKnots () const
Abc::FloatArraySamplePtr | getPositionWeights () const
Abc::Box3d | getSelfBounds () const
Abc::V3fArraySamplePtr | getVelocities () const
bool | valid () const
void | reset ()
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes

Abc::P3fArraySamplePtr | m_positions
Abc::V3fArraySamplePtr | m_velocities
Abc::FloatArraySamplePtr | m_positionWeights
Abc::Box3d | m_selfBounds
Abc::Int32ArraySamplePtr | m_nVertices
Abc::UcharArraySamplePtr | m_orders
Abc::FloatArraySamplePtr | m_knots
CurveType | m_type
BasisType | m_basis
CurvePeriodicity | m_wrap

## Friends

class | ICurvesSchema

The documentation for this class was generated from the following file:

- AbcGeom/ICurves.h